# Uses of Class
javax.swing.text.html.parser.ContentModel

Packages that use ContentModel
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of ContentModel in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser declared as ContentModel
Modifier and Type
Field
Description
`ContentModel`
Element.`content`
The content model
`ContentModel`
ContentModel.`next`
The next content model (in a ',', '|' or '&' expression).
Methods in javax.swing.text.html.parser that return ContentModel
Modifier and Type
Method
Description
`protected ContentModel`
DTD.`defContentModel(int type, Object obj, ContentModel next)`
Creates and returns a new content model.
`ContentModel`
Element.`getContent()`
Get content model
Methods in javax.swing.text.html.parser with parameters of type ContentModel
Modifier and Type
Method
Description
`protected ContentModel`
DTD.`defContentModel(int type, Object obj, ContentModel next)`
Creates and returns a new content model.
`protected Element`
DTD.`defElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, String[] exclusions, String[] inclusions, AttributeList atts)`
Creates and returns an `Element`.
`Element`
DTD.`defineElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, BitSet exclusions, BitSet inclusions, AttributeList atts)`
Returns the `Element` which matches the specified parameters.
Constructors in javax.swing.text.html.parser with parameters of type ContentModel
Modifier
Constructor
Description
``
`ContentModel(int type, Object content, ContentModel next)`
Create a content model of a particular type.
``
`ContentModel(int type, ContentModel content)`
Create a content model of a particular type.